org.apache.solr.spelling

## Class SuggestQueryConverter

- java.lang.Object
- - org.apache.solr.spelling.QueryConverter
  - - org.apache.solr.spelling.SpellingQueryConverter
    - - org.apache.solr.spelling.SuggestQueryConverter

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class SuggestQueryConverter
      extends SpellingQueryConverter

  Passes the entire query string to the configured analyzer as-is.

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.spelling.SpellingQueryConverter

      `QUERY_REGEX`

    - ### Fields inherited from class org.apache.solr.spelling.QueryConverter

      `analyzer, PROHIBITED_TERM_FLAG, REQUIRED_TERM_FLAG, TERM_IN_BOOLEAN_QUERY_FLAG, TERM_PRECEDES_NEW_BOOLEAN_OPERATOR_FLAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestQueryConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<Token>` | `convert(String original)` Converts the original query string to a collection of Lucene Tokens.

    - ### Methods inherited from class org.apache.solr.spelling.SpellingQueryConverter

      `analyze`

    - ### Methods inherited from class org.apache.solr.spelling.QueryConverter

      `getAnalyzer, init, setAnalyzer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestQueryConverter

          public SuggestQueryConverter()

  - ### Method Detail

    - #### convert

          public Collection<Token> convert(String original)

      Description copied from class: `SpellingQueryConverter`
      Converts the original query string to a collection of Lucene Tokens.
      Overrides:
        `convert` in class `SpellingQueryConverter`
      Parameters:
        `original` - the original query string
      Returns:
        a Collection of Lucene Tokens

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.